#include <stdint.h>
#include <stdbool.h>
#include <math.h>
#include "inc/hw_ints.h"
#include "inc/hw_memmap.h"
#include "inc/hw_types.h"
#include "inc/hw_uart.h"
#include "inc/hw_ssi.h"
#include "driverlib/gpio.h"
#include "driverlib/interrupt.h"
#include "driverlib/pin_map.h"
#include "driverlib/rom.h"
#include "driverlib/sysctl.h"
#include "driverlib/systick.h"
#include "driverlib/uart.h"
#include "driverlib/ssi.h"
#include "driverlib/fpu.h"
#include "driverlib/timer.h"
#include "utils/cpu_usage.h"
#include "utils/uartstdio.h"
#include "utils/ustdlib.h"
#include <string.h>

int
main(void)
{
		ROM_SysCtlClockSet(SYSCTL_SYSDIV_2_5 | SYSCTL_USE_PLL | SYSCTL_OSC_INT |
	                       SYSCTL_XTAL_16MHZ);

		//
	    // The SSI0 peripheral must be enabled for use.
	    //
	    SysCtlPeripheralEnable(SYSCTL_PERIPH_SSI0);

	    //
	    // For this example SSI0 is used with PortA[5:2].  GPIO port A needs to be
	    // enabled so these pins can be used.
	    //
	    SysCtlPeripheralEnable(SYSCTL_PERIPH_GPIOA);

	    //
	    // Configure the pin muxing for SSI0 functions on port A2, A3, A4, and A5.
	    // This step is not necessary if your part does not support pin muxing.
	    //
	    GPIOPinConfigure(GPIO_PA2_SSI0CLK);
	    GPIOPinConfigure(GPIO_PA4_SSI0RX);
	    GPIOPinConfigure(GPIO_PA5_SSI0TX);

	    //
	    // Configure the GPIO settings for the SSI pins.  This function also gives
	    // control of these pins to the SSI hardware.  Consult the data sheet to
	    // see which functions are allocated per pin.
	    // The pins are assigned as follows:
	    //      PA5 - SSI0Tx
	    //      PA4 - SSI0Rx
	    //      PA3 - SSI0Fss
	    //      PA2 - SSI0CLK
	    //
	    GPIOPinTypeSSI(GPIO_PORTA_BASE, GPIO_PIN_5 | GPIO_PIN_4  |
	                   GPIO_PIN_2);                   // as per ur suggestion given yesterday

	    //
	    // Configure and enable the SSI0 port for SPI master mode.
	    //
	    SSIConfigSetExpClk(SSI0_BASE, SysCtlClockGet(), SSI_FRF_MOTO_MODE_0,
	                       SSI_MODE_MASTER, 20000000, 8);

	    GPIOPinTypeGPIOOutput(GPIO_PORTA_BASE, GPIO_PIN_3); // as per ur suggestion given yesterday

	    GPIOPinWrite(GPIO_PORTA_BASE, GPIO_PIN_3, GPIO_PIN_3); // as per ur suggestion given yesterday
	    //
	    // Enable the SSI0 module.
	    //
	    SSIEnable(SSI0_BASE);

	    while(1)
	    {
            GPIOPinWrite(GPIO_PORTA_BASE,GPIO_PIN_3,0) ;    //Chip select low
            SSIDataPut(SSI0_BASE, 0x9F);
            while(SSIBusy(SSI0_BASE));
            GPIOPinWrite(GPIO_PORTA_BASE,GPIO_PIN_3,GPIO_PIN_3) ;    //chip select high

	    }

}
